Title
#fleet
Rafael

Rafael

06/22/2022, 12:57 PM
Hi everyone! I’m trying to setup vulnerability processing in Fleet, and in logs I see following errors: fleet: {“component”:“crons”,“cron”:“vulnerabilities”,“err”:“sync cpe db: timestamp: 2022-06-22T15:24:38+03:00: Get \“https://api.github.com/repos/fleetdm/nvd/releases?per_page=10\“: dial tcp 140.82.121.6:443: i/o timeout”,“level”:“error”,“msg”:“analyzing vulnerable software: Software-\u003eCPE”,“ts”:“2022-06-22T12:24:38.527181007Z”}. Fleet running behind proxy, curl and wget are working when I’m trying to download CVE databases manually from github.com and nist.gov. I found that in previous versions Fleet didn’t have proxy support, but now it should work fine with proxy. Any ideas?
Lucas Rodriguez

Lucas Rodriguez

06/29/2022, 6:27 PM
Hi @Rafael, sorry for the delay, are you still seeing this issue?